---
title: HTMLTableElement.tBodies
slug: Web/API/HTMLTableElement/tBodies
tags:
  - API
  - HTML DOM
  - HTMLTableElement
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLTableElement.tBodies</strong></code> read-only property returns a live {{domxref("HTMLCollection")}} of the bodies in a {{htmlElement("table")}}.</p>

<p>Although the property is read-only, the returned object is live and allows the modification of its content.</p>

<p>The collection returned includes implicit {{HTMLElement("tbody")}} elements. For example:</p>

<pre class="brush:html">&lt;table&gt;
  &lt;tr&gt;
    &lt;td&gt;cell one&lt;/td&gt;
  &lt;/tr&gt;
&lt;/table&gt;
</pre>

<p>The HTML DOM generated from the above HTML will have a {{HTMLElement("tbody")}} element even though the tags are not included in the source HTML.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLCollectionObject</em> = <em>table</em>.tBodies</pre>

<h2 id="Example">Example</h2>

<p>This snippet gets the number of bodies in a table.</p>

<pre class="brush:js;gutter:false">mytable.tBodies.length;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-table-tbodies', 'HTMLTableElement: tBodies')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.tBodies")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLCollection")}}</li>
 <li>{{HTMLElement("tbody")}}</li>
</ul>
